Name:           moonlight-qt-test
Version:        6.1.0
Release:        1%{?dist}
Summary:        Moonlight Qt client (AppImage wrapped for Fedora)

License:        GPLv3+
URL:            https://moonlight-stream.org
Source0:        https://github.com/moonlight-stream/moonlight-qt/releases/download/v%{version}/Moonlight-%{version}-x86_64.AppImage
Source1:        launcher.sh

BuildRequires:  desktop-file-utils
Requires:       qt6-qtbase
Requires:       qt6-qtdeclarative
Requires:       qt6-qtsvg
Requires:       ffmpeg
Requires:       SDL2_ttf
Recommends:     libva-intel-driver
Recommends:     libva-mesa-driver
Recommends:     libva-nvidia-driver

%description
Moonlight allows you to stream your PC games to another device using NVIDIA's GameStream protocol. This package wraps the official AppImage for easy integration into Fedora.

%prep
mkdir extracted
chmod +x %{SOURCE0}
./%{SOURCE0} --appimage-extract -d extracted

# Nettoyage de l'entrée desktop
mv extracted/squashfs-root/com.moonlight_stream.Moonlight.desktop moonlight-qt-test.desktop
sed -i '/AppImage/d' moonlight-qt-test.desktop

%build
# Rien à compiler, AppImage déjà construite en amont

%install
mkdir -p %{buildroot}/opt/%{name}
cp -r extracted/squashfs-root/* %{buildroot}/opt/%{name}/

mkdir -p %{buildroot}/usr/bin
install -m 0755 %{SOURCE1} %{buildroot}/usr/bin/moonlight

mkdir -p %{buildroot}/usr/share/applications
install -m 0644 moonlight-qt-test.desktop %{buildroot}/usr/share/applications/

mkdir -p %{buildroot}/usr/share/icons
cp -r extracted/squashfs-root/usr/share/icons/hicolor %{buildroot}/usr/share/icons/

%files
%license /opt/%{name}/usr/share/licenses/*
%doc /opt/%{name}/usr/share/doc/*
/opt/%{name}
/usr/bin/moonlight
/usr/share/applications/moonlight-qt-test.desktop
/usr/share/icons/hicolor

%changelog
* Sun Jul 06 2025 Votre Nom <votre.email@example.com> - 6.1.0-1
- Premier paquet basé sur AppImage Moonlight-Qt pour Fedora
